## octave-nan 3.1.1

=== DESCRIPTION ===
Name: NaN
Version: 3.1.1
Date: 2017-01-03
Author: Alois Schloegl <alois.schloegl@gmail.com>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for data with and w/o missing values
Depends: octave (> 3.2.0)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no

=== src/Makefile ===
####################################################
# Copyright 2010,2011,2012,2015 Alois Schloegl
# This is part of the NaN-toolbox - a statistics and machine learning toolbox for data with and without missing values.
# http://pub.ist.ac.at/~schloegl/matlab/NaN/
####################################################

### modify directories according to your needs

# Define non-default octave-version
# Octave - global install  (e.g. from debian package)
# OCTAVE_VERSION=
# Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
# OCTAVE_VERSION=-3.6.3

# Matlab configuration
#MATLABDIR = /usr/local/MATLAB/R2010b
# comment the following line if you use MATLAB on 32-bit operating system
MEX_OPTION += -largeArrayDims

# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static-
CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static-
# include directory for Win32-Matlab include
W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
GNUMEX   = $(HOME)/bin/win32/gnumex
GNUMEX64 = $(HOME)/bin/win64/gnumex
# building gnumex64 was difficult, these hints were quite useful:
# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin;
####################################################
MKOCTFILE ?= mkoctfile$(OCTAVE_VERSION)
CC      ?= gcc
CXX     ?= g++
CFLAGS += -Wall -Wextra -Wconversion -O2
OCTMEX	= $(MKOCTFILE) --mex
RM      = rm


### in case libsvm is installed and should be used
# CFLAGS += -DHAVE_EXTERNAL_LIBSVM
### in case liblinear is installed and should be used
# CFLAGS += -DHAVE_EXTERNAL_LIBLINEAR


# Support Debian Hardening flags
# https://wiki.debian.org/HardeningWalkthrough#Handling_dpkg-buildflags_in_your_upstream_build_system
CFLAGS += $(CPPFLAGS)

ifeq ($(OS),Windows_NT)
  # CC need to be defined on Windows, see also http://savannah.gnu.org/bugs/?47559
  CC = gcc
else ifeq (Darwin,$(shell uname))
  # no OpenMP on MacOSX, neither for Matlab nor Octave
else
  # enable OpenMP support
  CFLAGS      += -fPIC -fopenmp
  OCTMEX      += -lgomp
  MEX_OPTION  += -lgomp
  MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
endif

MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)

PROGS = histo_mex.mex covm_mex.mex kth_element.mex sumskipnan_mex.mex str2array.mex train.mex svmtrain_mex.mex svmpredict_mex.mex xptopen.mex

### per default only the mex-files for octave are built
mex4o octave: $(PROGS)


### Matlab configuration - search for a matlab directory if not defined above
ifeq (,$(MATLABDIR))
  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
    # use oldest, typically mex-files are compatible with newer Matlab versions
    MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R20*" |head -1)
  endif
endif


### if MATLABDIR has been found or defined
ifneq (,$(MATLABDIR))
  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
  endif
endif


mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
all:    octave win32 win64 mex4m

clean:
	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex*

#$(PROGS): Makefile

#########################################################
#	Octave, MATLAB on Linux
#########################################################
ifneq (,$(findstring HAVE_EXTERNAL_LIBSVM,$(CFLAGS)))
svm%_mex.mex: svm%_mex.cpp svm_model_octave.o
	$(OCTMEX) $(CFLAGS) $< svm_model_octave.o -lsvm -o $@
svm%_mex.$(MEX_EXT): svm%_mex.cpp svm_model_matlab.o
	$(MATMEX) $< svm_model_matlab.o -lsvm -o $@
else
svm.o: svm.cpp
	$(CC) $(CFLAGS) -c svm.cpp
svm%_mex.mex: svm%_mex.cpp svm_model_octave.o svm.o
	$(OCTMEX) $(CFLAGS) $^ -o $@
svm%_mex.$(MEX_EXT): svm%_mex.cpp svm_model_matlab.o svm.o
	$(MATMEX) $^ -o $@
endif

%.$(MEX_EXT): %.cpp
	$(MATMEX) "$<"

svm_model_octave.o: svm_model_matlab.c
	$(MKOCTFILE) -o "$@" -c "$<"
svm_model_matlab.o: svm_model_matlab.c
	$(CXX) $(CFLAGS) -I $(MATLABDIR)/extern/include -o "$@" -c "$<"

ifneq (,$(findstring HAVE_EXTERNAL_LIBLINEAR,$(CFLAGS)))
train.$(MEX_EXT) predict.$(MEX_EXT): train.c tron.o linear_model_matlab.c
	$(CXX) $(CFLAGS) -I $(MATLABDIR)/extern/include -c linear_model_matlab.c
	$(MATMEX)  -lblas train.c tron.o -llinear linear_model_matlab.o
	#$(MATMEX) -lblas predict.c tron.o linear.o linear_model_matlab.o
train.mex predict.mex: train.c tron.o linear_model_matlab.c
	$(OCTMEX) -lblas train.c tron.o -llinear linear_model_matlab.c
else
train.$(MEX_EXT) predict.$(MEX_EXT): train.c tron.o linear.o linear_model_matlab.c
	$(CXX) $(CFLAGS) -I $(MATLABDIR)/extern/include -c linear_model_matlab.c
	$(MATMEX)  -lblas train.c tron.o linear.o linear_model_matlab.o
	#$(MATMEX) -lblas predict.c tron.o linear.o linear_model_matlab.o
train.mex predict.mex: train.c tron.o linear.o linear_model_matlab.c
	$(OCTMEX) -lblas train.c tron.o linear.o linear_model_matlab.c
linear.o: linear.cpp
	$(CXX) $(CFLAGS) -c linear.cpp
endif
tron.o: tron.cpp tron.h
	$(CXX) $(CFLAGS) -c tron.cpp

%.oct: %.cc
	mkoctfile$(OCTAVE_VERSION) "$<"

%.mex: %.cpp
	$(OCTMEX) "$<"

#########################################################
#	MATLAB/WIN32
#########################################################
%.obj: %.cpp
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
%.obj: %.c
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"

train.mexw32 predict.mexw32:  train.obj linear.obj linear_model_matlab.obj tron.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lcholmod -lblas

svmpredict_mex.mexw32 :  svmpredict_mex.obj svm.obj svm_model_matlab.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
svmtrain_mex.mexw32 : svmtrain_mex.obj svm.obj svm_model_matlab.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod

%.mexw32: %.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread



#########################################################
#	MATLAB/WIN64
#########################################################

## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
%.o64: %.cpp
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
%.o64: %.c
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"

train.mexw64 predict.mexw64:  train.o64 linear.o64 linear_model_matlab.o64 tron.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lcholmod -lblas

svmpredict_mex.mexw64 :  svmpredict_mex.o64 svm.o64 svm_model_matlab.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
svmtrain_mex.mexw64 : svmtrain_mex.o64 svm.o64 svm_model_matlab.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod

%.mexw64: %.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread

=== debian/changelog ===
octave-nan (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 10.
  * d/watch: upgrade to format version 4.
  * build-against-libsvm-dev.patch: update patch.
    Now rely on the new HAVE_EXTERNAL_LIBSVM flag. Also remove completely
    svm.{cpp,h} from the source tree, to be sure to pick up the external
    library.
  * Add a lintian source override for removed svm.h.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Jan 2017 16:43:02 +0100

=== debian/control ===
Source: octave-nan
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.0.0),
 libsvm-dev
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/nan/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nan.git

Package: octave-nan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: handles data with and without missing values in Octave
 This package allows the handling of data with and without missing
 values by using NaN in Octave. Features of this package includes:
 implement of the statistical tools, supports DIM argument, supports
 unbiased estimation significance test, confidence intervals and
 Spearman`s rank correlation included in CORRCOEF.
 .
 This package changes the way NaNs are handled in Octave. In order to use
 its functions, the user must explicitly ask Octave to load the package.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-nan 3.1.2

=== src/Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 svm.o: svm.cpp
 	$(CC) $(CFLAGS) -c svm.cpp
 svm%_mex.mex: svm%_mex.cpp svm_model_octave.o svm.o
-	$(OCTMEX) $(CFLAGS) $^ -o $@
+	$(OCTMEX) $^ -o $@
 svm%_mex.$(MEX_EXT): svm%_mex.cpp svm_model_matlab.o svm.o
 	$(MATMEX) $^ -o $@
 endif

=== debian/changelog ===
octave-nan (3.1.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Upload to unstable.
  * d/copyright: use secure URL for format.
  * d/control: remove unnecessary versioned dependency on octave-pkg-dev.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:48:19 +0200

octave-nan (3.1.2-1) experimental; urgency=medium

  * New upstream version 3.1.2
  * d/copyright: Reflect upstream changes
  * d/p/spelling-fix-in-train-help-str.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Feb 2017 19:07:54 -0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: octave-nan
-Section: math
-Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.0.0),
- libsvm-dev
+Section: math
+Priority: optional
+Build-Depends: debhelper (>= 10),
+               cdbs,
+               octave-pkg-dev,
+               libsvm-dev
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-nan.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
 Homepage: http://octave.sourceforge.net/nan/
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nan.git
 
 Package: octave-nan
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${octave:Depends}
 Description: handles data with and without missing values in Octave
  This package allows the handling of data with and without missing
  values by using NaN in Octave. Features of this package includes:

## octave-nan 3.1.4

=== src/Makefile ===
--- 
+++ 
@@ -156,15 +156,15 @@
 	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
 
 train.mexw32 predict.mexw32:  train.obj linear.obj linear_model_matlab.obj tron.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lcholmod -lblas
+	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lblas
 
 svmpredict_mex.mexw32 :  svmpredict_mex.obj svm.obj svm_model_matlab.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
+	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat
 svmtrain_mex.mexw32 : svmtrain_mex.obj svm.obj svm_model_matlab.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
+	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat
 
 %.mexw32: %.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
+	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lgomp -lpthread
 
 
 
@@ -179,13 +179,13 @@
 	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
 
 train.mexw64 predict.mexw64:  train.o64 linear.o64 linear_model_matlab.o64 tron.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lcholmod -lblas
+	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lblas
 
 svmpredict_mex.mexw64 :  svmpredict_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
+	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat
 svmtrain_mex.mexw64 : svmtrain_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
+	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat
 
 %.mexw64: %.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
+	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lgomp -lpthread

=== debian/changelog ===
octave-nan (3.1.4-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:18 -0200

octave-nan (3.1.4-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:05 -0200

octave-nan (3.1.4-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 3.1.4
  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 19 Oct 2017 10:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: octave-nan
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
-               octave-pkg-dev,
+Build-Depends: debhelper (>= 11),
+               dh-octave,
                libsvm-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-nan.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
 Homepage: http://octave.sourceforge.net/nan/
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-nan
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

# Do not use the clean target provided by the package: it will delete the
# binary MATLAB MEX files, which we cannot regenerate, hence making the package
# build not idempotent. Instead, use our own clean rule.
#
# Don't include MATLAB build script in the package
#override_dh_auto_clean:
#	dh_auto_clean
#	find debian/ -name make.m | xargs rm

=== debian/watch ===
version=4
http://sf.net/octave/nan-(.+)\.tar\.gz

## octave-nan 3.4.5

=== debian/changelog ===
octave-nan (3.4.5-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add missing Build-Depends on wget
  * d/copyright: use correct license short name (FSFAP) for Makefile

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 13 Feb 2020 14:54:17 +0100

octave-nan (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5
  * Drop patches (applied upstream):
    + d/p/spelling-fix-in-train-help-str.patch
    + d/p/drop-no-undefined-ldflags.patch
    + d/p/fix-spelling-str2array.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Dec 2019 14:22:06 -0300

octave-nan (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * d/copyright: Reflect upstream changes
  * d/p/spelling-fix-in-train-help-str.patch: Refresh for new upstream version
  * Drop patches (fixed upstream):
    + d/p/workaround-for-mkoctfile-bug.patch
    + d/p/build-against-libsvm-dev.patch
    + d/p/reduce_test_memory_footprint.patch
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.
    + Build-Depends on liblinear-dev
  * d/clean: Clean files left over after building the package
  * d/rules: Drop obsolete target override_dh_auto_clean
  * d/s/lintian-overrides: Drop unused override
  * d/p/drop-no-undefined-ldflags.patch: New patch
  * d/p/fix-spelling-str2array.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 13 Nov 2019 11:20:05 -0300

octave-nan (3.1.4-5) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:43 -0200

octave-nan (3.1.4-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * d/rules: Ensures that rm command will not fail

  [ Sébastien Villemot ]
  * workaround-for-mkoctfile-bug.patch: new patch, fixes FTBFS against
    Octave 4.4

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 21:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: octave-nan
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-octave,
-               libsvm-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12),
+               dh-octave (>= 0.7.1),
+               liblinear-dev,
+               libsvm-dev,
+               wget
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
-Homepage: http://octave.sourceforge.net/nan/
+Homepage: https://octave.sourceforge.io/nan/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-nan
 Architecture: any

## octave-nan 3.5.0

=== debian/changelog ===
octave-nan (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * d/copyright: Reflect upstream changes
  * d/control: Build-depends on octave-statistics
  * d/rules: Fix wrong permission of file fishers_exact_test.m
  * d/p/depends-statistics.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 05:42:46 -0300

octave-nan (3.4.5-3) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/xtest-in-load-fisheriris.patch: New patch (Closes: #964210)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Jul 2020 07:13:06 -0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                liblinear-dev,
                libsvm-dev,
+               octave-statistics,
                wget
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan

## octave-nan 3.5.2

=== DESCRIPTION ===
Name: NaN
Version: 3.5.2
Date: 2020-10-31
Author: Alois Schlögl <alois.schloegl@gmail.com>
Maintainer: Alois Schlögl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for data with and w/o missing values
Depends: octave (>= 4.4.1)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no

=== debian/changelog ===
octave-nan (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * d/p/xtest-in-load-fisheriris.patch: Drop patch (applied upstream)
  * d/p/depends-statistics.patch: Drop patch (fixed upstream)
  * d/control: Drop build-dependency on octave-statistics
  * d/p/honour-cppflags-from-environment.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Nov 2020 18:03:05 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                dh-octave (>= 0.7.1),
                liblinear-dev,
                libsvm-dev,
-               octave-statistics,
                wget
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_installdeb:
	# Fix wrong permission of a file in the upstream tarball
	# Reported upstream: https://savannah.gnu.org/bugs/index.php?58848
	chmod -x $$(find debian/octave-nan -name fishers_exact_test.m)
	dh_installdeb

## octave-nan 3.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 3.5.2
-Date: 2020-10-31
+Version: 3.6.1
+Date: 2021-11-03
 Author: Alois Schlögl <alois.schloegl@gmail.com>
 Maintainer: Alois Schlögl
 Title: The NaN-toolbox

=== debian/changelog ===
octave-nan (3.6.1-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:32:06 +0000

octave-nan (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 Nov 2021 02:33:24 -0300

octave-nan (3.6.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use execute_before_dh_installdeb instead of override_dh_installdeb

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 05:03:13 -0300

octave-nan (3.6.0-1) experimental; urgency=medium

  * New upstream version 3.6.0

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 Jul 2021 05:50:27 -0300

octave-nan (3.5.3-1) experimental; urgency=medium

  * New upstream version 3.5.3
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Feb 2021 02:51:16 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                liblinear-dev,
                libsvm-dev,
                wget
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
 Homepage: https://octave.sourceforge.io/nan/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

execute_before_dh_installdeb:
	# Fix wrong permission of a file in the upstream tarball
	# Reported upstream: https://savannah.gnu.org/bugs/index.php?58848
	chmod -x $$(find debian/octave-nan -name fishers_exact_test.m)

## octave-nan 3.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 3.6.1
-Date: 2021-11-03
+Version: 3.7.0
+Date: 2022-05-09
 Author: Alois Schlögl <alois.schloegl@gmail.com>
 Maintainer: Alois Schlögl
 Title: The NaN-toolbox

=== debian/changelog ===
octave-nan (3.7.0-5) unstable; urgency=medium

  * d/u/metadata:
    + Add upstream repository URL
    + Add documentation URL
    + Update Bug-Database URL
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >=
      1.2.3 is satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/rules: Remove extraneous documentation file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 11 Sep 2025 03:02:58 -0300

octave-nan (3.7.0-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright:
    + Update Source URL
    + Update copyright years for debian/* files
  * d/check.m: Redefine clear function.
    This is necessary because some test scripts test/*.m issue the clear
    command and this interferes with the way dh_octave-check works.
    (Closes: #1057588)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 07 Dec 2023 03:13:07 -0300

octave-nan (3.7.0-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 09:18:41 -0300

octave-nan (3.7.0-2) unstable; urgency=medium

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean: Drop obsolete file
    + d/p/add-distclean-target.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3

 -- Rafael Laboissière <rafael@debian.org>  Tue, 12 Jul 2022 12:11:11 -0300

octave-nan (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 May 2022 02:54:09 -0300

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                liblinear-dev,
                libsvm-dev,
                wget
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
-Homepage: https://octave.sourceforge.io/nan/
+Homepage: https://gnu-octave.github.io/packages/nan/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-nan
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb:
	# Fix wrong permission of a file in the upstream tarball
	# Reported upstream: https://savannah.gnu.org/bugs/index.php?58848
	chmod -x $$(find debian/octave-nan -name fishers_exact_test.m)
	# Remove extraneous documentation file. This fixes the Lintian
	# warning package-contains-documentation-outside-usr-share-doc
	rm -f debian/octave-nan/usr/share/octave/packages/nan-*/doc/README.TXT

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/nan/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/nan-(.+).tar.gz
